## caps 0.2.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 PREFIX = /usr/local
 
-ARCH = `uname -m`
-OPTS = -O6 -ffast-math -funroll-loops -Wall -march=$(ARCH) -mcpu=$(ARCH) 
+OPTS = -O6 -ffast-math -funroll-loops -Wall 
+# i686 users can gain a slight runtime speed increase by uncommenting the
+# following 2 lines. (The rest of you out there, please tell me what works
+# for you).
+# ARCH = `uname -m`
+# OPTS = -O6 -ffast-math -funroll-loops -Wall -march=$(ARCH) -mcpu=$(ARCH) 
 # OPTS = -g -DDEBUG -D_DEBUG
 
 CC = g++
@@ -9,12 +13,13 @@
 PLUG = caps
 DEST = $(PREFIX)/lib/ladspa
 
-VERSION = 0.2.0
+VERSION = 0.2.3
+
 SOURCES = $(wildcard *.cc)
 OBJECTS	= $(SOURCES:.cc=.o) 
 HEADERS = $(wildcard *.h) $(wildcard dsp/*.h) $(wildcard util/*.h)
 
-CFLAGS = $(OPTS) -I/usr/local/include -DVERSION=\"$(VERSION)\"
+CFLAGS = $(OPTS)
 
 PDF = caps-$(VERSION).pdf
 
@@ -27,6 +32,7 @@
 
 run: all
 	sudo python -i test.py
+	#python tools/test-denormals.py
 
 pdf: all tools/make-ps.py
 	VERSION=$(VERSION) python tools/make-ps.py | ps2pdf - $(PDF)
