## caps 0.4.4

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,21 @@
 PREFIX = /usr/local
 
 CC = g++
-OPTS = -O2 -ffast-math -funroll-loops -Wall -fPIC -DPIC
+
+# only use -ffast-math if you're feeling mighty adventurous.  (g++ issues)
+OPTS = -O2 -funroll-loops -Wall -fPIC -DPIC
 #OPTS = -g -DDEBUG 
+
+_LDFLAGS = -nostartfiles -shared 
+STRIP = strip
 
 -include defines.make
 
 CFLAGS = $(OPTS) $(_CFLAGS)
+LDFLAGS = $(_LDFLAGS) $(CFLAGS)
 
 PLUG = caps
-VERSION = 0.4.2
+VERSION = 0.4.4
 
 SOURCES = $(wildcard *.cc)
 OBJECTS	= $(SOURCES:.cc=.o) 
@@ -20,7 +26,7 @@
 DEST = $(PREFIX)/lib/ladspa
 RDFDEST = $(PREFIX)/share/ladspa/rdf
 
-# all systems go ##############################################################
+# all systems go -------------------------------------------------------------
 
 all: depend $(PLUG).so tags
 
@@ -42,20 +48,20 @@
 	python tools/make-rdf.py > $(PLUG).rdf
 
 $(PLUG).so: $(OBJECTS)
-	$(CC) -nostartfiles $(CFLAGS) -shared -o $@ $(OBJECTS)
+	$(CC) $(LDFLAGS) -o $@ $(OBJECTS)
 
 .cc.s: 
 	$(CC) $(CFLAGS) -S $<
 
 .cc.o: depend
-	$(CC) $(CFLAGS) -I/usr/local/include -c $<
+	$(CC) $(CFLAGS) -c $<
 
 tags: $(SOURCES) $(HEADERS)
 	@echo making tags
 	@-if [ -x /usr/bin/ctags ]; then ctags $(SOURCES) $(HEADERS) ; fi
 
 install: all
-	strip $(PLUG).so
+	@$(STRIP) $(PLUG).so > /dev/null
 	install -d $(DEST)
 	install -m 644 $(PLUG).so $(DEST)
 	install -d $(RDFDEST)
