## caps 0.9.16

=== debian/changelog ===
caps (0.9.16-2) unstable; urgency=low

  * Patches Forwarded.
  * Improved description.
  * Added Breaks: libasound2-plugin-equal (<< 0.6-6) (Closes: Bug#722143).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 09 Sep 2013 16:00:45 +0200

caps (0.9.16-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Aug 2013 21:59:20 +0200

caps (0.9.10-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release (Closes: Bug#605480) 
  * Added watch file.
  * Set format 3.
  * Added local-options file
  * wrap-and-sort -a -s.
  * Added .gitignore file.
  * Added gbp.conf file.
  * Set dh/compat 9
  * Switch dh short
  * Bump Standards.
  * Take over by team with Mario Lang's approval.
  * Set myself as uploader.
  * Add Homepage.
  * Fix VCS canonical URLs.
  * Added misc-Depends.
  * Added patches to fix build.
  * Deleted dir file.
  * Update copyright file.
  * Mentioned on-line doc in description.

  [ Alessio Treglia ]
  * {pre,post}-build cleanup

  [ Felipe Sateler ]
  * Add myself to uploaders
  * Remove tags file on clean

 -- Felipe Sateler <fsateler@debian.org>  Fri, 23 Aug 2013 20:42:24 -0400

caps (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Stop upstream Makefile from stripping the library so that
    DEB_BUILD_OPTIONS=nostrip works. (Closes: Bug#436613).

 -- Mario Lang <mlang@debian.org>  Thu, 09 Aug 2007 15:44:59 +0200

caps (0.3.0-3) unstable; urgency=low

  * Fix thinko, /usr/share/ladspa/rdf instead of /usr/lib/ladspa/rdf.

 -- Mario Lang <mlang@debian.org>  Mon,  1 Jan 2007 15:43:19 +0100

caps (0.3.0-2) unstable; urgency=low

  * Install RDF data into /usr/lib/ladspa/rdf/.
  * Update Standards-Version to 3.7.2.

 -- Mario Lang <mlang@debian.org>  Mon,  1 Jan 2007 13:57:01 +0100

caps (0.3.0-1) unstable; urgency=low

  * New upstream release

 -- Mario Lang <mlang@debian.org>  Thu, 12 Jan 2006 15:06:50 +0100

caps (0.2.3-3) unstable; urgency=low

  * Rebuild for C++ ABI transition.

 -- Mario Lang <mlang@debian.org>  Thu, 21 Jul 2005 00:48:19 +0200

caps (0.2.3-2) unstable; urgency=low

  * Make it build with gcc-4.0 (Closes: #285586).

 -- Mario Lang <mlang@debian.org>  Mon,  6 Jun 2005 13:13:05 +0200

caps (0.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Mon,  6 Jun 2005 08:01:23 +0200

caps (0.2.0-1) unstable; urgency=low

  * New upstream release

 -- Mario Lang <mlang@debian.org>  Tue, 30 Nov 2004 11:46:03 +0100

caps (0.1.12-1) unstable; urgency=low

  * Initial release

 -- Mario Lang <mlang@debian.org>  Thu, 16 Sep 2004 12:19:25 +0200
