=== debian/control ===
Source: caps
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Felipe Sateler <fsateler@debian.org>
Build-Depends:
 debhelper (>= 9),
 ladspa-sdk
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/caps.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/caps.git
Homepage: http://quitte.de/dsp/caps.html

Package: caps
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ladspa-plugin
Breaks: libasound2-plugin-equal (<< 0.6-6)
Description: C* Audio Plugin Suite
 caps comprises a range of classic sound effects
 and a few more basic audio DSP units,
 signal and noise generators.
 The suite's aim is to provide impeccable sound quality,
 computational efficiency and no perceptible latency.
 .
 Documentation: http://quitte.de/dsp/caps.html
