=== debian/changelog ===
caps (0.9.18-1) unstable; urgency=low

  * Imported Upstream version 0.9.18
  * Bump Standards.
  * Patches removed - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 06 Feb 2014 14:43:59 +0100
