## caps 0.9.23

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+VERSION = 0.9.23
+
 PREFIX = /usr
 DESTDIR = 
 
@@ -14,7 +16,6 @@
 CFLAGS += $(OPTS) $(_CFLAGS)
 LDFLAGS += $(_LDFLAGS) $(CFLAGS)
 
-VERSION = 0.9.18
 PLUG = caps
 
 SOURCES = $(wildcard *.cc) $(wildcard dsp/*.cc)
@@ -38,7 +39,9 @@
 	@#~/cream/gdb-python bin/eqtest.py
 	@#~/cream/gdb-python bin/fractalstest.py
 	@#python bin/sinsweep.py
-	@python -i ~/reve/bin/noisegate.py
+	@#python -i ~/reve/bin/noisegate.py
+	@rack.py AutoFilter ChorusI AmpVTS CabinetIV Plate
+	@#python ~/reve/bin/hum.py
 
 rdf: $(PLUG).rdf
 $(PLUG).rdf: all tools/make-rdf.py
@@ -84,7 +87,6 @@
 	@VERSION=$(VERSION) python tools/make-version.h.py
 
 dist: all $(PLUG).rdf version.h
-	-rm doc/*.html 
 	tools/make-dist.py caps $(VERSION) $(CFLAGS)
 
 depend: $(SOURCES) $(HEADERS)
