=== debian/changelog ===
caps (0.9.23-1) unstable; urgency=low

  * Imported Upstream version 0.9.23

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 13 Mar 2014 13:53:19 +0100

caps (0.9.21-1) unstable; urgency=low

  * Imported Upstream version 0.9.21

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 20 Feb 2014 23:04:22 +0100

caps (0.9.20-1) unstable; urgency=low

  * Imported Upstream version 0.9.20

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 17 Feb 2014 11:34:36 +0100
