=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  ladspa-sdk
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/caps.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/caps.git
 Homepage: http://quitte.de/dsp/caps.html
