## caps 0.9.24

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-VERSION = 0.9.23
+VERSION = 0.9.24
 
 PREFIX = /usr
 DESTDIR = 
 
 CC = g++
 
-OPTS = -O3 -ffast-math -funroll-loops -Wall -fPIC -DPIC
+OPTS = -O3 -ffast-math -funroll-loops -Wall -fPIC -DPIC 
 #OPTS = -g -DDEBUG 
 
 _LDFLAGS = -shared 
@@ -40,8 +40,10 @@
 	@#~/cream/gdb-python bin/fractalstest.py
 	@#python bin/sinsweep.py
 	@#python -i ~/reve/bin/noisegate.py
-	@rack.py AutoFilter ChorusI AmpVTS CabinetIV Plate
+	@#rack.py Noisegate AmpVI Plate
 	@#python ~/reve/bin/hum.py
+	@python bin/cabtest.py
+	@#cd ~/reve && python bin/cabmake.py
 
 rdf: $(PLUG).rdf
 $(PLUG).rdf: all tools/make-rdf.py
