=== debian/changelog ===
caps (0.9.24-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Use standard exp10f instead of pow10f.
    Thanks to Aurelien Jarno for the patch. (Closes: #890633)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 26 Mar 2018 14:47:27 -0300

caps (0.9.24-4) unstable; urgency=medium

  * Append LDFLAGS properly.
  * Update copyright file.
  * Do not strip during make install. (Closes: #851202)
    Thanks to Helmut Grohne <helmut@subdivi.de>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 16 Jan 2017 08:38:33 +0100

caps (0.9.24-3) unstable; urgency=medium

  * Set dh 10.
  * Bump Standards.
  * Fix VCS fields.
  * Set dh 10.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Sign tags.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 21 Dec 2016 14:34:53 +0100

caps (0.9.24-2) unstable; urgency=medium

  * Avoid ambiguity in div invocation (Closes: #816568)
  * Use canonical Vcs-* urls

 -- Felipe Sateler <fsateler@debian.org>  Fri, 01 Jul 2016 19:21:02 -0400

caps (0.9.24-1) unstable; urgency=low

  * Imported Upstream version 0.9.24
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Mar 2015 14:41:47 +0100
