=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Felipe Sateler <fsateler@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  ladspa-sdk
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/caps.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/caps.git
+Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/multimedia-team/caps.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/caps
 Homepage: http://quitte.de/dsp/caps.html
 
 Package: caps
