## caps 0.9.26

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.9.24
+VERSION = 0.9.26
 
 PREFIX = /usr
 DESTDIR = 
@@ -6,7 +6,7 @@
 CC = g++
 
 OPTS = -O3 -ffast-math -funroll-loops -Wall -fPIC -DPIC 
-#OPTS = -g -DDEBUG 
+#OPTS = -fPIC -DPIC -g -DDEBUG 
 
 _LDFLAGS = -shared 
 STRIP = strip
@@ -42,8 +42,11 @@
 	@#python -i ~/reve/bin/noisegate.py
 	@#rack.py Noisegate AmpVI Plate
 	@#python ~/reve/bin/hum.py
-	@python bin/cabtest.py
+	@#python bin/cabtest.py
+	@#python bin/spicetest.py
+	@#python bin/test.py
 	@#cd ~/reve && python bin/cabmake.py
+	@python ~/bin/rack.py
 
 rdf: $(PLUG).rdf
 $(PLUG).rdf: all tools/make-rdf.py
