=== debian/changelog ===
caps (0.9.26-1) unstable; urgency=medium

  * Change maintainer address to debian-multimedia@lists.debian.org
  * New upstream version 0.9.26
    - Drop all patches - equivalents applied upstream
    - Fixes crashes in some plugins. Closes: #907220

 -- Felipe Sateler <fsateler@debian.org>  Sun, 21 Oct 2018 18:13:20 -0300
