=== debian/watch ===
version=3

http://quitte.de/dsp/caps.html \
	caps_(.+)\.tar\.bz2
